Skip to main content
GET
Get leaderboard

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

limit
integer<int32>
default:10

Page size

Required range: 0 <= x <= 1000
offset
integer<int32>
default:0

Page offset

Required range: 0 <= x <= 10000
sort_key
enum<string>
Available options:
account_value,
realized_pnl,
volume,
roi
sort_dir
enum<string>
Available options:
ASC,
DESC
search_term
string

Optional search term to filter accounts by address prefix

Response

Paginated leaderboard entries with rankings

items
object[]
required

The items in the current page

total_count
integer<int32> | null

The total number of items across all pages. Optional: history endpoints omit this field to avoid expensive COUNT(*) queries.

Required range: x >= 0